<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile" v-if="detailProduct">
    <div class="m-portlet__body nt-info-advanced">
      <div
        v-if="isLoader"
        class="m-loader m-loader--brand m-loader--lg"
        style="width: 30px; height: 30px; display: inline-block;"
      ></div>
      <template v-else>
        <div class="customer-tab-view">
          <div class="customer-tab-view-left">
            <div
              class="form-group m-form__group"
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'sku', 'attribute_name')"
            >
              <label
                class="form-control-label s--label"
              >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'sku', 'attribute_name') }}</label>

              <div
                class="input-group"
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'sku', 'attribute_value')"
              >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'sku', 'attribute_value') }}</div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>
            <div
              class="form-group m-form__group"
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'unit', 'attribute_name')"
            >
              <label
                class="form-control-label s--label"
              >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'unit', 'attribute_name') }}</label>

              <div
                class="input-group"
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'unit', 'attribute_value')"
              >{{ helpers.getAttributeOptions(helpers.getAttributeByAttrCode(detailProduct, 'unit'), helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'unit', 'attribute_value'),
                                  'option_value') }}</div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>

            </div>
            <div
              class="form-group m-form__group"
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_type', 'attribute_name')"
            >
              <label
                class="form-control-label s--label"
              >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_type', 'attribute_name') }}</label>

              <div
                class="input-group"
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_type', 'attribute_value')"
              >{{ helpers.getAttributeOption(helpers.getAttributeByAttrCode(detailProduct, 'product_type'), helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_type', 'attribute_value'), 'option_value') }}</div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>
            <div
              class="form-group m-form__group"
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'listed_price', 'attribute_name')"
            >
              <label
                class="form-control-label s--label"
              >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'listed_price', 'attribute_name') }}</label>

              <div
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'listed_price', 'attribute_value')"
              >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'listed_price', 'attribute_value') | formatNumberPrice }}</div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>
          </div>

          <div class="customer-tab-view-right">
            <div class="form-group m-form__group">
              <label class="form-control-label s--label">Tạo bởi</label>
              <div class="input-group" v-if="productCreatedBy">
                <div
                  class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push"
                  m-dropdown-toggle="click"
                  aria-expanded="true"
                >
                  <a
                    href="#"
                    class="m-portlet__nav-link m-dropdown__toggle btn m-btn m-btn--link nt-barge-dropdown"
                    v-if="productCreatedBy.full_name"
                  >
                    <i class="la la-user" style="font-size:13px;"></i>
                    &nbsp;{{ productCreatedBy.full_name | truncateWords }}
                  </a>
                  <div class="m-dropdown__wrapper">
                    <span
                      class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"
                    ></span>
                    <div class="m-dropdown__inner">
                      <div class="m-dropdown__body">
                        <div class="m-dropdown__content">
                          <ul class="m-nav">
                            <li class="m-nav__item" v-if="productCreatedBy.phone_number">
                              <a
                                style="pointer-events: none;"
                                href="javascript:;"
                                class="m-nav__link"
                              >
                                <i class="m-nav__link-icon icon icon-phone-call"></i>
                                <span
                                  class="m-nav__link-text"
                                >{{ productCreatedBy.phone_number | formatPhone }}</span>
                              </a>
                            </li>
                            <li class="m-nav__item" v-if="productCreatedBy.email">
                              <a
                                style="pointer-events: none;"
                                href="javascript:;"
                                class="m-nav__link"
                              >
                                <i class="m-nav__link-icon icon icon-email"></i>
                                <span class="m-nav__link-text">{{ productCreatedBy.email }}</span>
                              </a>
                            </li>
                          </ul>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>

            <div class="form-group m-form__group">
              <label class="form-control-label s--label">Tạo lúc</label>
              <div
                class="input-group"
                v-if="detailProduct.created_at"
              >{{ detailProduct.created_at | formatDateTime(false) }}</div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>

            <div class="form-group m-form__group">
              <label class="form-control-label s--label">Lần chỉnh sửa cuối</label>
              <div
                class="input-group"
                v-if="detailProduct.updated_at"
              >{{ detailProduct.updated_at | formatDateTime(false) }}</div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>
          </div>
        </div>
      </template>
    </div>
  </div>
</template>
